Subject: Re: [secdir] Secdir review of draft-ietf-bmwg-issu-meth-01
From: "Fernando Calabria (fcalabri)" <[email-masked]>
To: "MORTON, ALFRED C (AL)" <[email-masked]>, "Xialiang (Frank)" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Wed, 1 Jul 2015 12:59:52 +0000
List-Id: Security Area Directorate <secdir.ietf.org>

Thank you Frank for your review and Al for addressing # 1 and # 4 ..

In regards to # 2 and #3

We also saw and considered how  verifications like the authenticity of a SW package may be a concern , even more,   nowadays,  with emerging SDN  like implementations ,

Unfortunately   not all the vendors nor even software specific operating systems  within vendors,  have “consistent  implementations" of  Digital Signatures nor  Certificates and do not make these checks a mandatory task  before performing a Software upgrade.

Because of it  we tried to address it with a ‘generic’ statement on Sections 3.1 and 3.2 that basically read:

"Internal compatibility
   verification may be performed by the software running on the DUT, to
   verify the checksum of the files downloaded as well as any other
   pertinent checks. Depending upon vendor implementation, these
   mechanisms may extend to include verification that the downloaded
   module(s) …"

—

Internal compatibility verification may be
   performed by the software running on the DUT, as part of the upgrade
   process itself, to verify the checksum of the files downloaded as
   well as any other pertinent checks….

The authors of this document understand  how these are real issues / concerns on managing an operating a  Software   environment, ,  but we do not believe that an specific ISSU  document should addresses them in  detail

-Fernando

From: <MORTON>, "ALFRED C (AL)" <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, July 1, 2015 at 8:08 AM
To: "Xialiang (Frank)" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: RE: Secdir review of draft-ietf-bmwg-issu-meth-01

Hi Frank,
Thanks for your review and comments.

On #1, DoS attacks: since human control is involved here,
it seems unlikely that operators will begin an upgrade
during a DoS attack when they know it’s in-progress, IMO.
Others should chime-in if they have other rationale or opinions.

On #4, That’s the draft date, not the expiration date.
see below,
Al
doc shepherd

Benchmarking Working Group                                  Sarah Banks
Internet Draft                                           VSS Monitoring
Intended status: Informational                        Fernando Calabria
Expires: November 30, 2015                                Cisco Systems
                                                           Gery Czirjak
                                                          Ramdas Machat
                                                       Juniper Networks
                                                           May 30, 2015

ISSU Benchmarking Methodology
draft-ietf-bmwg-issu-meth-01

From: Xialiang (Frank) [mailto:[email-masked]]
Sent: Tuesday, June 30, 2015 9:29 PM
To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Secdir review of draft-ietf-bmwg-issu-meth-01

I have reviewed this document as part of the security directorate's ongoing effort to review all IETF documents being processed by the IESG.  These comments were written primarily for the benefit of the security area directors.  Document editors and WG chairs should treat these comments just like any other last call comment.

This draft specifies a set of common methodologies and procedures designed to characterize the overall behavior of a Device Under Test (DUT), subject to an ISSU event.

I have the following comments:

1.       Should the ISSU test methodology include the verification and test when the DUT is under network DDoS attacks?

2.       In the software download stage, in addition to compatibility checks and verification of checksums, we should also explicitly mention that the device should verify the authenticity and integrity of its download. I.e. verify signatures on signed code and OCSP/CRL for the used signature. And that a system must not load unverified code;

3.       even in a test environment all deployed software components must be verified (e.g. using signatures);

4.       Nits: this draft has expired on May-30, 2015

Recommendation:  Ready With Issues

B.R.
Frank